# PropertySensor(Sensor)

base classes — `bpy_struct`, `Sensor`

class `bpy.types.``PropertySensor`(Sensor)

  Sensor to detect values and changes in values of properties

  `evaluation_type`

    Type of property evaluation

    Type: | enum in [‘PROPEQUAL’, ‘PROPNEQUAL’, ‘PROPINTERVAL’, ‘PROPCHANGED’, ‘PROPLESSTHAN’, ‘PROPGREATERTHAN’], default ‘PROPEQUAL’

  `property`

    Type: | string, default “”, (never None)

  `value`

    Check for this value in types in Equal, Not Equal, Less Than and Greater Than types

    Type: | string, default “”, (never None)

  `value_max`

    Maximum value in Interval type

    Type: | string, default “”, (never None)

  `value_min`

    Minimum value in Interval type

    Type: | string, default “”, (never None)

Inherited Properties

`bpy_struct.id_data` `Sensor.name` `Sensor.type` `Sensor.pin` `Sensor.active` `Sensor.show_expanded` `Sensor.invert` | `Sensor.use_level` `Sensor.use_pulse_true_level` `Sensor.use_pulse_false_level` `Sensor.tick_skip` `Sensor.use_tap` `Sensor.controllers`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values` `Sensor.link` `Sensor.unlink`